<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:27 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>OrdersBLL</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OrdersBLL";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrdersBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../business_layer/ClientsValidation.html" title="class in business_layer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../business_layer/OrdersValidation.html" title="class in business_layer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/OrdersBLL.html" target="_top">Frames</a></li>
<li><a href="OrdersBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">business_layer</div>
<h2 title="Class OrdersBLL" class="title">Class OrdersBLL</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>business_layer.OrdersBLL</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OrdersBLL</span>
extends java.lang.Object</pre>
<div class="block">- contine patru variabile instanta: trei obiecte de tipul OrdersAbstractDAO, ProductsAbstractDAO, 
 respectiv ClientsAbstractDAO, care au rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul OrdersValidation, care are rolul de a valida datele referitoare la o comanda 
 inainte de efectuarea unei operatii asupra acesteia; 
 - clasa contine constructor si mai contine si cate o metoda pentru fiecare operatie de baza asupra tabelului Orders 
 (adaugarea unei comenzi, stergerea unei comenzi, editarea produsului comenzii, editarea cantitatii comenzii,
 editarea clientului comenzii si vizualizarea tuturor comenzilor din tabela Orders);</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#OrdersBLL-dao_package.OrdersAbstractDAO-dao_package.ProductsAbstractDAO-dao_package.ClientsAbstractDAO-business_layer.OrdersValidation-">OrdersBLL</a></span>(<a href="../dao_package/OrdersAbstractDAO.html" title="class in dao_package">OrdersAbstractDAO</a>&nbsp;ordDAO,
         <a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a>&nbsp;prodDAO,
         <a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package">ClientsAbstractDAO</a>&nbsp;clDAO,
         <a href="../business_layer/OrdersValidation.html" title="class in business_layer">OrdersValidation</a>&nbsp;ordValidation)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#addOrder-model.Orders-">addOrder</a></span>(<a href="../model/Orders.html" title="class in model">Orders</a>&nbsp;order)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#deleteOrder-int-">deleteOrder</a></span>(int&nbsp;OrdID)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#editOrdCl-int-int-">editOrdCl</a></span>(int&nbsp;OrdID,
         int&nbsp;ClID)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#editOrdNrBuc-int-int-">editOrdNrBuc</a></span>(int&nbsp;OrdID,
            int&nbsp;newNrBuc)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#editOrdProd-int-int-">editOrdProd</a></span>(int&nbsp;OrdID,
           int&nbsp;ProdID)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../model/Products.html" title="class in model">Products</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#getProd-int-">getProd</a></span>(int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Object[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../business_layer/OrdersBLL.html#showAll--">showAll</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OrdersBLL-dao_package.OrdersAbstractDAO-dao_package.ProductsAbstractDAO-dao_package.ClientsAbstractDAO-business_layer.OrdersValidation-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OrdersBLL</h4>
<pre>public&nbsp;OrdersBLL(<a href="../dao_package/OrdersAbstractDAO.html" title="class in dao_package">OrdersAbstractDAO</a>&nbsp;ordDAO,
                 <a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a>&nbsp;prodDAO,
                 <a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package">ClientsAbstractDAO</a>&nbsp;clDAO,
                 <a href="../business_layer/OrdersValidation.html" title="class in business_layer">OrdersValidation</a>&nbsp;ordValidation)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addOrder-model.Orders-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addOrder</h4>
<pre>public&nbsp;int&nbsp;addOrder(<a href="../model/Orders.html" title="class in model">Orders</a>&nbsp;order)</pre>
</li>
</ul>
<a name="deleteOrder-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOrder</h4>
<pre>public&nbsp;void&nbsp;deleteOrder(int&nbsp;OrdID)</pre>
</li>
</ul>
<a name="editOrdProd-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOrdProd</h4>
<pre>public&nbsp;void&nbsp;editOrdProd(int&nbsp;OrdID,
                        int&nbsp;ProdID)</pre>
</li>
</ul>
<a name="editOrdNrBuc-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOrdNrBuc</h4>
<pre>public&nbsp;void&nbsp;editOrdNrBuc(int&nbsp;OrdID,
                         int&nbsp;newNrBuc)</pre>
</li>
</ul>
<a name="editOrdCl-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOrdCl</h4>
<pre>public&nbsp;void&nbsp;editOrdCl(int&nbsp;OrdID,
                      int&nbsp;ClID)</pre>
</li>
</ul>
<a name="showAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showAll</h4>
<pre>public&nbsp;java.lang.Object[][]&nbsp;showAll()</pre>
</li>
</ul>
<a name="getProd-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProd</h4>
<pre>public&nbsp;<a href="../model/Products.html" title="class in model">Products</a>&nbsp;getProd(int&nbsp;id)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrdersBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../business_layer/ClientsValidation.html" title="class in business_layer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../business_layer/OrdersValidation.html" title="class in business_layer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/OrdersBLL.html" target="_top">Frames</a></li>
<li><a href="OrdersBLL.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
